## org.apache.lucene.benchmark.quality.utils
Class SimpleQQParser

    java.lang.Object
      org.apache.lucene.benchmark.quality.utils.SimpleQQParser

All Implemented Interfaces:
  QualityQueryParser

    public class SimpleQQParser

extends java.lang.Object
implements QualityQueryParser

Simplistic quality query parser. A Lucene query is created by passing the value of the specified QualityQuery name-value pair into a Lucene's QueryParser using StandardAnalyzer.

Constructor Summary
`SimpleQQParser(java.lang.String qqName, java.lang.String indexField)` Constructor of a simple qq parser.

Method Summary
`org.apache.lucene.search.Query` `parse(QualityQuery qq)` Parse a given QualityQuery into a Lucene query.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleQQParser

    public SimpleQQParser(java.lang.String qqName,
                          java.lang.String indexField)

  Constructor of a simple qq parser.

  Parameters:
    `qqName` - name-value pair of quality query to use for creating the query
    `indexField` - corresponding index field

Method Detail

### parse

    public org.apache.lucene.search.Query parse(QualityQuery qq)
                                         throws org.apache.lucene.queryParser.ParseException

  Description copied from interface: `QualityQueryParser`
  Parse a given QualityQuery into a Lucene query.

  Specified by:
    `parse` in interface `QualityQueryParser`
  Parameters:
    `qq` - the quality query to be parsed.
  Throws:
    `org.apache.lucene.queryParser.ParseException` - if parsing failed.

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.